FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo Development

 
 
LinkBack Thread Tools
 
Old 12-22-2011, 10:59 PM
Samuli Suominen
 
Default Lastrite: media-radio/fldigi (unless patched for fltk-1.3)

# Samuli Suominen <ssuominen@gentoo.org> (23 Dec 2011)
# Missing fltk-1.3 support and forced downgrade of fltk
# in the same stabilization level which makes this gentoo-x86
# incompatible package. Bug 395747. Removal in 30 days.
media-radio/fldigi
 
Old 12-23-2011, 07:10 AM
Thomas Beierlein
 
Default Lastrite: media-radio/fldigi (unless patched for fltk-1.3)

On Fri, 23 Dec 2011 01:59:54 +0200
Samuli Suominen <ssuominen@gentoo.org> wrote:

> # Samuli Suominen <ssuominen@gentoo.org> (23 Dec 2011)
> # Missing fltk-1.3 support and forced downgrade of fltk
> # in the same stabilization level which makes this gentoo-x86
> # incompatible package. Bug 395747. Removal in 30 days.
> media-radio/fldigi
>
Well I have seen better christmas surprises, but there are 30 days
left...

It would be a pitty to loos a strongly developed application with a
large user community from gentoo. I will talk to upstream again. they
are aware of the problem (as can be seen from bug #359629 comment #4).

Thomas
--
 
Old 12-23-2011, 07:21 AM
Samuli Suominen
 
Default Lastrite: media-radio/fldigi (unless patched for fltk-1.3)

On 12/23/2011 10:10 AM, Thomas Beierlein wrote:

On Fri, 23 Dec 2011 01:59:54 +0200
Samuli Suominen<ssuominen@gentoo.org> wrote:


# Samuli Suominen<ssuominen@gentoo.org> (23 Dec 2011)
# Missing fltk-1.3 support and forced downgrade of fltk
# in the same stabilization level which makes this gentoo-x86
# incompatible package. Bug 395747. Removal in 30 days.
media-radio/fldigi


Well I have seen better christmas surprises, but there are 30 days
left...


indeed :-(


It would be a pitty to loos a strongly developed application with a
large user community from gentoo. I will talk to upstream again. they
are aware of the problem (as can be seen from bug #359629 comment #4).


fedora has half of an fix available:

http://pkgs.fedoraproject.org/gitweb/?p=fldigi.git;a=blob_plain;f=fldigi-3.21.11-panel.cxx.patch;hb=HEAD

but it has more problems with Fl_Text_Selection, such as:

`undefined reference to `Fl_Text_Selection::foobar_some_function(int,
int, int, int)'`


good luck

- Samuli
 
Old 01-05-2012, 03:42 PM
Thomas Beierlein
 
Default Lastrite: media-radio/fldigi (unless patched for fltk-1.3)

On Fri, 23 Dec 2011 01:59:54 +0200
Samuli Suominen <ssuominen@gentoo.org> wrote:

> # Samuli Suominen <ssuominen@gentoo.org> (23 Dec 2011)
> # Missing fltk-1.3 support and forced downgrade of fltk
> # in the same stabilization level which makes this gentoo-x86
> # incompatible package. Bug 395747. Removal in 30 days.
> media-radio/fldigi
>

Dropped the mask as fldigi-3.21.35_pre1 (in tree) supports fltk-1.3 as
well as fltk-1.1

Thomas

--
 

Thread Tools




All times are GMT. The time now is 05:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org